jQuery().ready( function() {
    jQuery( "[data-finteza-event]" ).on( "click", handleTracking );

    function handleTracking( e ) {
        var link = jQuery( this );

        var name = link.data( "finteza-event" );
        var hasTrackingCode = typeof fz === "function";

        if ( hasTrackingCode && !!name ) {

            var target = link.attr( "target" );
            var href = link.attr( "href" );
            var isBlank = !( !target || target === "_self" || target === "_parent" || target === "_top" );

            if ( !link.is( "a" ) || isBlank ) {
                trackEvent( name );
            }
            else {
                trackEvent( name, function() {

                    if ( target === "_top" ) {
                        window.top.location.href = href;
                        return;
                    }

                    if ( target === "_parent" ) {
                        window.parent.location.href = href;
                        return;
                    }

                    window.location.href = href;

                } );

                return false;
            }
        }
    }

    function trackEvent( eventName, callback ) {
        var waitingTime = 1000,
            called = false,
            timeout;

        function onLoad() {
            clearTimeout( timeout );
            if ( !called ) {
                if ( callback ) {
                    callback();
                }
                called = true;
            }
        }

        fz( "track", eventName, onLoad );

        timeout = setTimeout( onLoad, waitingTime );
    }
})
